# Copyright (C) 1994, 1995 John W. Eaton
# 
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

function plotint2 (x1, x2, fmt)

  if (nargin < 2 || nargin > 3)
    usage ("plotint2 (x1, x2, fmt)");
  endif

  if (nargin == 2)
    fmt = "";
  endif

  if (! isstr (fmt))
    error ("plotint2: fmt must be a string");
  endif

  if (any (any (imag (x1))))
    x1 = real (x1);
  endif
  if (any (any (imag (x2))))
    x2 = real (x2);
  endif
  if (is_scal (x1))
    if (is_scal (x2))
      plot2ss (x1, x2, fmt);
    endif
  elseif (is_vec (x1))
    if (is_vec (x2))
      plot2vv (x1, x2, fmt);
    elseif (is_mat (x2))
      plot2vm (x1, x2, fmt);
    endif
  elseif (is_mat (x1))
    if (is_vec (x2))
      plot2mv (x1, x2, fmt);
    elseif (is_mat (x2))
      plot2mm (x1, x2, fmt);
    endif
  endif

endfunction
