function y = complem (a, b)

# usage: complem (a, b)
#
# Returns the elements of set b that are not in set a.
#
# See - crtset, union, intersec

  if (nargin != 2)
    usage ("complem(a,b)");
  endif

  if (isempty (a))
    y = crtset(b);
  elseif (isempty (b))
    y = [];
  else
    a = crtset (a);
    b = crtset (b);
    yindex = 1;
    y = zeros (1, length (b));
    for index = 1:length (b)
      if (all (a != b (index)))
        y(yindex++) = b(index);
      endif
    endfor
    y = y(1:(yindex-1));
  endif

endfunction

