function y = union(a,b)

# usage: union(a,b)
#
# Returns the union of sets a and b.
#
# See - crtset, intersec, complem

  if (nargin != 2)
    usage ("union(a,b)");
  endif

  if(isempty(a))
    y = crtset(b);
  elseif(isempty(b))
    y = crtset(a);
  else
    [nra, nca] = size(a);
    a = reshape(a,1,nra*nca);
    [nrb, ncb] = size(b);
    b = reshape(b,1,nrb*ncb);
    y = crtset([a, b]);
  endif

endfunction
